Bug 1684784 - lang.csh contains a problem if TERM variable is undefined and displays a warning
Summary: lang.csh contains a problem if TERM variable is undefined and displays a warning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setup
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-02 13:21 UTC by Jos de Kloe
Modified: 2019-04-13 00:05 UTC (History)
3 users (show)

Fixed In Version: setup-2.13.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:05:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Jos de Kloe 2019-03-02 13:21:17 UTC
Description of problem:

for users that have tcsh as default shell, the file
/etc/profile.d/lang.csh gets called by /etc/csh.cshrc during startup of a shell.
In some situations this happens when no TERM variable is set. Examples are when a script is called by crontab, or when an ssh session is opened.

Although it may seem harmless, this warning actually causes problems in some other applications that communicate through ssh. In my case it causes a problem with x2goclient, and made it impossible to connect to a remote desktop with fedora29 installed.

The problem has been fixed already in the pagure repository, see:
https://pagure.io/setup/c/96eb9d6aae09e6207c611a02ab26413f3cd9ff18?branch=master

However, it has not yet been released for Fedora29 (last build was in July) or Fedora 30 (last build 2-Feb).

So my request: please update this package for fedora29 and fedora30.

Comment 1 Fedora Update System 2019-04-09 11:33:49 UTC
setup-2.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c942844538

Comment 2 Fedora Update System 2019-04-10 14:37:40 UTC
setup-2.13.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c942844538

Comment 3 Fedora Update System 2019-04-13 00:05:05 UTC
setup-2.13.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.